> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach the measured boot image

> Clear the VM's measured boot image and power-cycle to apply.



## OpenAPI

````yaml /api-reference/openapi.yaml post /vm/{vm_id}/detach-measured-boot
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /vm/{vm_id}/detach-measured-boot:
    post:
      tags:
        - Virtual Machine
      summary: Detach the measured boot image
      description: Clear the VM's measured boot image and power-cycle to apply.
      operationId: detachMeasuredBoot
      parameters:
        - name: vm_id
          in: path
          description: VM UUID
          required: true
          explode: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                team_id:
                  type: string
                  format: uuid
                  description: Team ID. Default team will be used if not provided.
                  example: 96616865-475e-4191-aba5-f89f0a4b71fe
      responses:
        '202':
          description: Action accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  audit_log_id:
                    type: string
                    format: uuid
                    example: 0f9c2d1a-3b4e-4c5d-8a6f-7b8c9d0e1f2a
        '401':
          description: Unauthorized
        '404':
          description: Not found
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````